> ## Documentation Index
> Fetch the complete documentation index at: https://docs.talkover.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger SFTP Import

> Manually trigger an SFTP contact list import

# Trigger SFTP Import

Manually trigger an SFTP import of new contact list files for a campaign. The platform scans `import_path`, downloads new files, and queues contacts.

## Endpoint

```
POST /api/v1/campaigns/{campaign_id}/sftp/trigger-import
```

## Path parameters

<ParamField path="campaign_id" type="string" required>Campaign UUID.</ParamField>

## Request headers

<ParamField header="Authorization" type="string" required>
  Bearer token. Format: `Bearer talq_your_environment_token_here`
</ParamField>

## Examples

<RequestExample>
  ```bash theme={null}
  curl -X POST "https://app.talkover.ai/api/v1/campaigns/campaign-uuid/sftp/trigger-import" \
    -H "Authorization: Bearer talq_your_environment_token_here"
  ```
</RequestExample>

## Response

<ResponseExample>
  ```json theme={null}
  {
    "success": true,
    "message": "SFTP import queued",
    "data": {
      "job_id": "job-uuid-1",
      "queued_at": "2024-01-15T17:00:00Z"
    }
  }
  ```
</ResponseExample>

## Error responses

### 409 — Already Running

<ResponseExample>
  ```json theme={null}
  {
    "success": false,
    "message": "An SFTP import is already in progress",
    "code": "SFTP_IMPORT_IN_PROGRESS"
  }
  ```
</ResponseExample>

## Notes

* Import progress and results appear in [List SFTP Logs](/api-reference/endpoints/list-campaign-sftp-logs).
